kind: ClusterConfiguration
apiVersion: kubeadm.k8s.io/v1beta2
apiServer:
  certSANs:
  - localhost
  - 127.0.0.1
  - {{ k8s_api_address }}
{% if k8s_api_public_address is defined %}
  - {{ k8s_api_public_address }}
{% endif %}
{% for host in groups['hypervisors']|d([]) %}
  - {{ hostvars[host]['external_ip'] }}
  - {{ host }}
{% endfor %}
{% for addr in k8s_external_addresses %}
  - {{ addr }}
{% endfor %}
  extraArgs:
    authorization-mode: Node,RBAC
  timeoutForControlPlane: 4m0s
certificatesDir: /etc/kubernetes/pki
clusterName: kubernetes
controlPlaneEndpoint: {{ k8s_api_address }}:{{ k8s_api_port }}
controllerManager: {}
dns:
  type: CoreDNS
etcd:
  local:
    dataDir: /var/lib/etcd
imageRepository: k8s.gcr.io
kubernetesVersion: v1.20.4
networking:
  dnsDomain: cluster.local
  podSubnet: {{ pod_network_cidr }}
  serviceSubnet: 10.96.0.0/12
scheduler: {}
